:root {
    --bodybg-color: #ffffff;
    --text-color: #424242;
    --headerlayer: linear-gradient(
        180deg,
        rgba(255, 255, 255, 0) 15.83%,
        #fff 100%
    );
    --main-heading-color: #424242;
    --headerimage: url("../img/newhead.png");
    --bg-journy: url("../img/journy_nfc.png");

    --bg-j2: url("../img/j_2.png");
    --bg-j3: url("../img/j_3.png");
    --bg-j4: url("../img/j_4.png");
    --bg-j5: url("../img/j_5.png");
    --bg-j6: url("../img/j_6.png");
    --bg-j7: url("../img/j_7.png");
    --bg-j8: url("../img/j_8.png");
    --box-bg: linear-gradient(
            0deg,
            rgba(255, 255, 255, 0.5) 0%,
            rgba(255, 255, 255, 0.5) 100%
        ),
        linear-gradient(
            94deg,
            rgba(241, 205, 154, 0.5) -3.73%,
            rgba(225, 164, 131, 0.5) 11.6%,
            rgba(221, 132, 112, 0.5) 25.49%,
            rgba(221, 136, 116, 0.5) 37.84%,
            rgba(213, 118, 191, 0.5) 51.21%,
            rgba(168, 95, 227, 0.5) 73.84%,
            rgba(112, 85, 238, 0.5) 99.15%
        );

    --dark-box-bg: linear-gradient(
            0deg,
            rgba(255, 255, 255, 0.5) 0%,
            rgba(255, 255, 255, 0.5) 100%
        ),
        linear-gradient(
            94deg,
            #f1cd9a -3.73%,
            #e1a483 11.6%,
            #dd8470 25.49%,
            #dd8874 37.84%,
            #d576bf 51.21%,
            #a85fe3 73.84%,
            #7055ee 99.15%
        );
    --input-border-color: rgba(66, 66, 66, 0.4);
    --image-shadow: radial-gradient(
        circle,
        rgb(216 148 111 / 12%) 51%,
        rgba(255, 255, 255, 22) 71%
    );
    --footertext: #303850;
}

/* Dark mode */
[data-theme="dark"] {
    --bodybg-color: #131313;
    --text-color: #ffffff;
    --headerlayer: linear-gradient(
        180deg,
        rgba(255, 255, 255, 0) 15.83%,
        #131313 100%
    );
    --main-heading-color: #fff;
    --headerimage: url("../img/darkheader.png");
    --bg-journy: url("../img/journy_dark.png");
    --bg-j2: url("../img/darkj_2.png");
    --bg-j3: url("../img/darkj_3.png");
    --bg-j4: url("../img/darkj_4.png");
    --bg-j5: url("../img/darkj_5.png");
    --bg-j6: url("../img/darkj_6.png");
    --bg-j7: url("../img/darkj_7.png");
    --bg-j8: url("../img/darkj_8.png");
    --box-bg: linear-gradient(
            0deg,
            rgba(19, 19, 19, 0.5) 0%,
            rgba(19, 19, 19, 0.5) 100%
        ),
        linear-gradient(
            94deg,
            rgba(241, 205, 154, 0.5) -3.73%,
            rgba(225, 164, 131, 0.5) 11.6%,
            rgba(221, 132, 112, 0.5) 25.49%,
            rgba(221, 136, 116, 0.5) 37.84%,
            rgba(213, 118, 191, 0.5) 51.21%,
            rgba(168, 95, 227, 0.5) 73.84%,
            rgba(112, 85, 238, 0.5) 99.15%
        );

    --dark-box-bg: linear-gradient(
            0deg,
            rgba(19, 19, 19, 0.35) 0%,
            rgba(19, 19, 19, 0.35) 100%
        ),
        linear-gradient(
            94deg,
            #f1cd9a -3.73%,
            #e1a483 11.6%,
            #dd8470 25.49%,
            #dd8874 37.84%,
            #d576bf 51.21%,
            #a85fe3 73.84%,
            #7055ee 99.15%
        );
    --input-border-color: rgba(255, 255, 255, 0.4);

    --image-shadow: radial-gradient(
        circle,
        rgb(216 148 111 / 12%) 51%,
        #131313 71%
    );
    --footertext: #fff;
}

body {
    font-family: "Prompt", sans-serif;
    background: var(--bodybg-color);
}

.headerbox {
    background-image: url("../img/Header.webp");
    background-repeat: no-repeat;
    background-size: 100% 100%;
    overflow: hidden;
    padding-bottom: 2rem;
    position: relative;
}
.headerbox::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 18rem;
    background: var(--headerlayer);
    z-index: 1;
}
.listbox_store {
    position: relative;
    z-index: 3;
}
.headerbox .nav-link {
    color: var(--main-heading-color) !important;
    /* font-family: ABeeZee; */
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 160%;
}
.headerbox .nav-link:hover {
    color: #ce28dd !important;
}
.headerbox .nav-link.contacts {
    display: inline-flex;
    padding: 10px 16px;
    justify-content: center;
    align-items: center;
    gap: 5px;
    border-radius: 13px;
    background: var(
        --Button-Gradient,
        linear-gradient(
            94deg,
            #f1cd9a -3.73%,
            #e1a483 11.6%,
            #dd8470 25.49%,
            #dd8874 37.84%,
            #d576bf 51.21%,
            #a85fe3 73.84%,
            #7055ee 99.15%
        )
    );
    color: #fff !important;
}

.headerbox .svg_box {
    width: 700px;
    height: 639px;
    background-image: var(--headerimage);
    background-repeat: no-repeat;
    background-size: 100% 100%;
    /* margin-right: auto; */
    margin-left: auto;
}
.headerbox .content {
    padding-left: 4rem;
    display: flex;
    justify-content: center;
    align-items: start;
    flex-direction: column;
    height: 100%;
}
.headerbox .content h1 {
    color: var(--main-heading-color);
    font-family: Prompt;
    font-size: 38px;
    font-style: normal;
    font-weight: 700;
    line-height: 120%;
}
.headerbox .content p {
    color: var(--main-heading-color);
    font-family: Prompt;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 135%;
    letter-spacing: -0.2px;
}

.unlock_sec {
    margin-top: 2rem;
}
.unlock_sec .main-content {
    border-radius: 82px;
    border: 2px solid #f1cd9a;
    background: var(--box-bg);
    padding: 55px 46px;
}
.unlock_sec .main-content .image_box img {
    width: 100%;
}

.unlock_sec .content h2 {
    color: var(--main-heading-color);
    /* font-family: Prompt; */
    font-size: 36px;
    font-style: normal;
    font-weight: 700;
    line-height: 130%;
}
.unlock_sec .content .four_sec .box {
    display: inline-block;
    width: 47%;
    /* margin-bottom: 3rem; */
    margin-top: 3rem;
}
.unlock_sec .content .four_sec .box .left {
    display: flex;
    width: 67px;
    height: 67px;
    padding: 14px 10px 14.236px 10px;
    justify-content: center;
    align-items: center;
    border-radius: 20px;
    background: rgba(218, 176, 255, 0.3);
}
.unlock_sec .content .four_sec .box .box-content {
    display: flex;
    gap: 13px;
    justify-content: center;
    align-items: center;
}
.unlock_sec .content .four_sec .box .left img {
    width: 45.485px;
    height: 45px;
}

.unlock_sec .content .four_sec .box .text {
    color: var(--main-heading-color);
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 135%;
    letter-spacing: -0.2px;
}

.nfc_taps_sec {
    margin-top: 3rem;
    overflow: hidden;
}
.nfc_taps_sec.with_back {
    /* border: 1px solid #f1cd9a; */
    background: linear-gradient(
        94deg,
        rgba(241, 205, 154, 0.15) -3.73%,
        rgba(225, 164, 131, 0.15) 11.6%,
        rgba(221, 132, 112, 0.15) 25.49%,
        rgba(221, 136, 116, 0.15) 37.84%,
        rgba(213, 118, 191, 0.15) 51.21%,
        rgba(168, 95, 227, 0.15) 73.84%,
        rgba(112, 85, 238, 0.15) 99.15%
    );
    padding: 2rem;
}
.nfc_taps_sec.with_back .left_content {
    border: none;
    background: transparent;
    box-shadow: none;
}
.nfc_taps_sec.with_back .image_content {
    background: transparent;
}
.nfc_taps_sec.with_back .image_content {
    background: transparent;
}
.nfc_taps_sec h2 {
    color: var(--main-heading-color);
    text-align: center;
    font-size: 38px;
    font-style: normal;
    font-weight: 700;
    line-height: 130%;
}
.nfc_taps_sec p {
    color: var(--text-color);
}
.nfc_taps_sec .left_content {
    border-radius: 27.262px;
    border: 1px solid var(--Button-Gradient, #f1cd9a);
    background: var(--box-bg);
    box-shadow: 2px 3px 20px 0px rgba(174, 84, 255, 0.25);
    /* display: flex; */
    padding: 60px 27px 61px 27px;
    /* justify-content: center; */
    /* align-items: center; */
    /* height: 100%; */
    margin-top: 3rem;
}
.nfc_taps_sec .left_content h3 {
    color: var(--main-heading-color);
    font-size: 24px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}
.nfc_taps_sec .left_content p {
    color: var(--main-heading-color);
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 135%;
    letter-spacing: -0.2px;
}
.nfc_taps_sec .image_content {
    overflow: hidden;
    position: relative;
    margin-top: 2rem;
    /* height: 713px; */
}
.nfc_taps_sec .image_content::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 100%;
    height: 68%;
    background: var(--image-shadow);
    z-index: -1;
    transform: translate(-50%, 0%);
    border-radius: 50%;
}
.nfc_taps_sec .image_content.journy {
    background: var(--bg-journy);
    background-size: 100% 100%;
    background-repeat: no-repeat;
    width: 536px;
    height: 596px;
}

.nfc_taps_sec .image_content.j_2 {
    background: var(--bg-j2);
    background-size: 100% 100%;
    background-repeat: no-repeat;
    width: 536px;
    height: 705px;
}
.nfc_taps_sec .image_content.j_3 {
    background: var(--bg-j3);
    background-size: 100% 100%;
    background-repeat: no-repeat;
    width: 536px;
    height: 796px;
}

.nfc_taps_sec .image_content.j_4 {
    background: var(--bg-j4);
    background-size: 100% 100%;
    background-repeat: no-repeat;
    width: 539px;
        height: 579px;
}
.nfc_taps_sec .image_content.j_5 {
    background: var(--bg-j5);
    background-size: 100% 100%;
    background-repeat: no-repeat;
     width: 536px;
        height: 647px;
}
.nfc_taps_sec .image_content.j_6 {
    background: var(--bg-j6);
    background-size: 100% 100%;
    background-repeat: no-repeat;
    width: 536px;
        height: 577px;
}
.dark_mode_content.j_7 {
    background: var(--bg-j7);
    background-size: 100% 100%;
    background-repeat: no-repeat;
    /* width: 1333px; */
    height: 560px;
}
.nfc_taps_sec .image_content.j_8 {
    background: var(--bg-j8);
    background-size: 100% 100%;
    background-repeat: no-repeat;
    width: 536px;
        height: 717px;
}

.nfc_taps_sec .image_content .main_image {
    width: 100%;
}

.dark_mode_content {
    text-align: center;
    position: relative;
}
.dark_mode_content .back_dark {
    width: 1390px;
    height: 500px;
    margin-left: -6rem;
    margin-left: auto;
    margin-right: auto;
}
.dark_mode_content .dark-box {
    border-radius: 20px;
    border: 3px solid var(--Button-Gradient, #f1cd9a);
    background: var(--dark-box-bg);
    width: 249px;
    height: 58.418px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 14px;
    position: absolute;
    top: 18%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.dark_mode_content .dark-box img {
    width: 40px;
    height: 40px;
    border-radius: 9px;
}
.dark_mode_content .dark-box span {
    color: var(--main-heading-color);
    /* font-family: Prompt; */
    font-size: 12px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}
.contact_sec_box {
    margin-top: 1rem;
}
.contact_sec_box .main_content {
    border-radius: 105px;
    background: var(--box-bg);
    padding: 60px 30px;
    text-align: center;
}

.contact_sec_box .main_content h2 {
    color: var(--main-heading-color);
    text-align: center;
    /* font-family: Prompt; */
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: 130%;
}
.contact_sec_box .main_content p {
    color: var(--text-color);
}
.contact_sec_box .main_content input,
.contact_sec_box .main_content textarea {
    border-radius: 16px;
    border: 1px solid var(--input-border-color);
    padding: 16px 24px;
    background: transparent;
    color: var(--main-heading-color);
    text-align: left;
    /* font-family: Prompt; */
    font-size: 15px;
    font-style: normal;
    font-weight: 400;
    line-height: 135%;
    letter-spacing: -0.2px;
    margin-top: 1.5rem;
}
.contact_sec_box .main_content input:focus,
.contact_sec_box .main_content textarea:focus {
    outline: none;
    box-shadow: none;
}
.contact_sec_box .main_content button {
    border-radius: 16px;
    background: var(
        --Button-Gradient,
        linear-gradient(
            94deg,
            #f1cd9a -3.73%,
            #e1a483 11.6%,
            #dd8470 25.49%,
            #dd8874 37.84%,
            #d576bf 51.21%,
            #a85fe3 73.84%,
            #7055ee 99.15%
        )
    );
    padding: 16px 51px;
    color: #fff;
    text-align: center;
    font-family: Prompt;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    border: none;
    margin-top: 1.8rem;
}

.footer_box {
    background: linear-gradient(
        94deg,
        rgba(241, 205, 154, 0.15) -3.73%,
        rgba(225, 164, 131, 0.15) 11.6%,
        rgba(221, 132, 112, 0.15) 25.49%,
        rgba(221, 136, 116, 0.15) 37.84%,
        rgba(213, 118, 191, 0.15) 51.21%,
        rgba(168, 95, 227, 0.15) 73.84%,
        rgba(112, 85, 238, 0.15) 99.15%
    );
    margin-top: 3rem;
}
.footer_box .content-main {
    padding: 46px 42px;
}
.footer_box .content-main p {
    color: var(--text-color);
}
.footer_box .content-main .logo_box {
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 9px;
    margin-bottom: 0.9rem;
}
.footer_box .content-main .logo_box span {
    color: var(--main-heading-color);

    /* 20 Title2 Sb */
    font-family: Prompt;
    font-size: 18px;
    font-style: normal;
    font-weight: 600;
    line-height: 150%; /* 30px */
}

.footer_box .content-main .other_social_links h4 {
    color: var(--main-heading-color);
    font-family: Prompt;
    font-size: 17px;
    font-style: normal;
    font-weight: 600;
    line-height: 150%;
}
.footer_box .content-main .other_social_links ul {
    padding-left: 0;
    list-style-type: none;
}
.footer_box .content-main .other_social_links ul li {
    margin: 11px 0;
}

.footer_box .content-main .other_social_links ul li a {
    color: var(--main-heading-color);
    font-family: Prompt;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 135%;
    letter-spacing: -0.2px;
    text-decoration: none;
}
.footer_box .content-main .bottom_span {
    color: var(--footertext);
    font-family: Prompt;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%;
    opacity: 0.5;
    display: block;
    text-align: center;
    margin-top: 1rem;
}

.theme-switch-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    /* margin-top: 50px; */
}

/* Hide the default checkbox */
.theme-switch {
    display: none;
}

/* Slider container styling */
.theme-slider {
    width: 50px;
    height: 24px;
    background-color: #52433c;
    border-radius: 24px;
    position: relative;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

/* Circle inside the slider */
.theme-slider::before {
    content: "";
    width: 18px;
    height: 18px;
    background-color: #9e8d84;
    border-radius: 50%;
    position: absolute;
    top: 3px;
    left: 3px;
    transition: transform 0.3s ease, background-color 0.3s ease;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

/* Slider background when checked */
.theme-switch:checked + .theme-slider {
    background-color: #ffc4a4; /* Dark background for dark mode */
}

/* Move the circle when checked */
.theme-switch:checked + .theme-slider::before {
    transform: translateX(26px); /* Move the circle to the right */
    background-color: #532201;
}

/*@media only screen and (max-width: 1399px) {*/
/*    .nfc_taps_sec .image_content.journy {*/
/*        width: 641px;*/
/*        height: 713px;*/
/*    }*/
/*    .nfc_taps_sec .image_content.j_2 {*/
/*        width: 641px;*/
/*        height: 843px;*/
/*    }*/
/*    .nfc_taps_sec .image_content.j_3 {*/
/*        width: 641px;*/
/*        height: 952px;*/
/*    }*/

/*    .nfc_taps_sec .image_content.j_4 {*/
/*        width: 546px;*/
/*        height: 586px;*/
/*    }*/
/*    .nfc_taps_sec .image_content.j_5 {*/
/*        width: 641px;*/
/*        height: 774px;*/
/*    }*/
/*    .nfc_taps_sec .image_content.j_6 {*/
/*        width: 641px;*/
/*        height: 690px;*/
/*    }*/
/*    .nfc_taps_sec .image_content.j_8 {*/
/*        width: 641px;*/
/*        height: 858px;*/
/*    }*/

    
/*}*/
@media only screen and (max-width: 1200px) {
    .nfc_taps_sec .image_content.journy {
        width: 536px;
        height: 596px;
    }
    .nfc_taps_sec .image_content.j_2 {
        width: 536px;
        height: 705px;
    }
    .nfc_taps_sec .image_content.j_3 {
        width: 536px;
        height: 796px;
    }
    .nfc_taps_sec .image_content.j_4 {
        width: 539px;
        height: 579px;
    }

    .nfc_taps_sec .image_content.j_5 {
        width: 536px;
        height: 647px;
    }

    .nfc_taps_sec .image_content.j_6 {
        width: 536px;
        height: 577px;
    }

    .nfc_taps_sec .image_content.j_8 {
        width: 536px;
        height: 717px;
    }

    /* .nfc_taps_sec .image_content.j_7 {
        width: 1200px;
        height: 460px;
    } */
}
@media only screen and (max-width: 991px) {
    .dark_mode_content.j_7 {
        height: 400px;
        width: 1170px;
        margin-left: -107px;
    }

    .nfc_taps_sec .image_content.journy {
        width: 696px;
        height: 774px;
    }
    .nfc_taps_sec .image_content.j_2 {
        width: 696px;
        height: 915px;
    }

    .nfc_taps_sec .image_content.j_3 {
        width: 696px;
        height: 1033px;
    }
    .nfc_taps_sec .image_content.j_4 {
        width: 696px;
        height: 747px;
    }
    .nfc_taps_sec .image_content.j_5 {
        width: 696px;
        height: 840px;
    }
    .nfc_taps_sec .image_content.j_6 {
        width: 696px;
        height: 749px;
    }

    .nfc_taps_sec .image_content.j_8 {
        width: 691px;
        height: 931px;
    }
    .order_change {
        order: 2;
    }
}

@media only screen and (max-width: 900px) {
    .dark_mode_content.j_7 {
        height: 400px;
        width: 1254px;
        margin-left: -222px;
    }
}

@media only screen and (max-width: 767px) {
    .dark_mode_content.j_7 {
        height: 403px;
        width: 1202px;
        margin-left: -370px;
    }
    .nfc_taps_sec .image_content::after {
        content: none;
    }
    /* .nfc_taps_sec .image_content {
        height: 530px;
    } */
    .unlock_sec .content .four_sec .box {
        width: 100%;
    }
    .headerbox .svg_box {
        width: 100%;
        height: 392px;
    }
    .headerbox .content {
        align-items: center;
        padding-left: 0;
    }
    .headerbox .content h1 {
        font-size: 27px;
        text-align: center;
    }
    .headerbox .content p {
        text-align: center;
        width: 80%;
    }
    .unlock_sec .content h2 {
        font-size: 28px;

        text-align: center;
    }
    .nfc_taps_sec h2 {
        font-size: 31px;
    }
    .contact_sec_box .main_content {
        border-radius: 38px;
    }
    .nfc_taps_sec .image_content.journy {
        width: 459px;
        height: 551px;
    }
    .nfc_taps_sec .image_content.j_2 {
        width: 459px;
        height: 604px;
    }
    .nfc_taps_sec .image_content.j_3 {
        width: 459px;
        height: 682px;
    }

    .nfc_taps_sec .image_content.j_4 {
        width: 395px;
        height: 424px;
    }
    .nfc_taps_sec .image_content.j_5 {
        width: 459px;
        height: 554px;
    }
    .nfc_taps_sec .image_content.j_6 {
        width: 459px;
        height: 494px;
    }
    .nfc_taps_sec .image_content.j_8 {
        width: 459px;
        height: 614px;
    }
}

@media only screen and (max-width: 500px) {
    .dark_mode_content.j_7 {
        height: 403px;
        width: 1116px;
        margin-left: -388px;
    }

    .nfc_taps_sec .image_content.journy {
        width: 100%;
        height: 551px;
    }
    .nfc_taps_sec .image_content.j_2 {
        width: 100%;
        height: 604px;
    }
    .nfc_taps_sec .image_content.j_3 {
        width: 100%;
        height: 682px;
    }
    .nfc_taps_sec .image_content.j_4 {
        width: 100%;
        height: 424px;
    }

    .nfc_taps_sec .image_content.j_5 {
        width: 100%;
        height: 554px;
    }

    .nfc_taps_sec .image_content.j_6 {
        width: 100%;
        height: 494px;
    }
    .nfc_taps_sec .image_content.j_8 {
        width: 100%;
        height: 614px;
    }
}
